sccs-val(1)

NAME
sccs-val, val - validate an SCCS file

SYNOPSIS

/usr/ccs/bin/val -

/usr/ccs/bin/val [-s] [-m name] [-rsid] [-y type] s.filename...

DESCRIPTION

The val utility determines if the specified s.files meet the characteristics specified by the indicated arguments. val can process up to 50 files on a single command line.

val has a special argument, `-', which reads the standard input until the end-of-file condition is detected. Each line read is independently processed as if it were a command line argument list.

val generates diagnostic messages on the standard output for each command line and file processed and also returns a single 8-bit code upon exit as described below.

The 8-bit code returned by val is a disjunction of the possible errors, that is, it can be interpreted as a bit string where (moving from left to right) the bits set are interpreted as follows:

bit 0 = missing file argument
bit 1 = unknown or duplicate option
bit 2 = corrupted s.file
bit 3 = can not open file or file not in s.file format
bit 4 = the SCCS delta ID (SID) is invalid or ambiguous
bit 5 = the SID does not exist
bit 6 = mismatch between %Y% and -y argument
bit 7 = mismatch between %M% and -m argument

val can process two or more files on a given command line, and in turn can process multiple command lines (when reading the standard input). In these cases, an aggregate code is returned which is the logical OR of the codes generated for each command line and file processed.

OPTIONS

The following options are supported:

-s
    Silent. Suppresses the normal error or warning messages.

-m name
    Compares name with the %M% ID keyword in the s.file.

-rsid
    Checks to see if the indicated SID is ambiguous, invalid, or absent from the s.file.

-y type
    Compares type with the %Y% ID keyword.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of val: LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-delta(1), sccs-get(1), sccs-help(1), what(1), sccsfile(4), attributes(5), environ(5), standards(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).